Page MenuHomePhabricator

MW-1.28.0-wmf.16 deployment blockers
Closed, ResolvedPublic

Details

Related Gerrit Patches:
operations/mediawiki-config : masterGroup0 to 1.28.0-wmf.16

Event Timeline

greg created this task.Jul 28 2016, 5:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 28 2016, 5:59 PM

I should be able to handle this one. With the European swat starting that will be my deploy week :]

Will handle it. Not sure when I will cut the branch though, most probably before the European SWAT window so maybe around 10am UTC (noon CEST)

Mentioned in SAL [2016-08-23T11:22:29Z] <hashar> Cutting MediaWiki branch 1.28.0-wmf.16 | T141551

I have applied the security patch

For core most of got merged in master yesterday and I have dropped them from /srv/patches/1.28.0-wmf.16/core. One patch has been reapplied, another looks like it no more apply at all, asked for clarification on T109140.

Change 306192 had a related patch set uploaded (by Hashar):
Group0 to 1.28.0-wmf.16

https://gerrit.wikimedia.org/r/306192

Mentioned in SAL [2016-08-23T12:43:56Z] <hashar> on tin dropping stall versions /srv/mediawiki-staging/php-1.28.0-wmf.{8,9,10} T141551

Next step is to sync to cluster https://wikitech.wikimedia.org/wiki/Heterogeneous_deployment/Train_deploys#Sync_to_cluster_and_verify_on_testwiki

But that will be after European SWAT deploy which starts 10 minutes from now.

Mentioned in SAL [2016-08-23T13:36:53Z] <hashar@tin> Started scap: testwiki to php-1.28.0-wmf.16 T141551

Mentioned in SAL [2016-08-23T14:05:38Z] <hashar@tin> Finished scap: testwiki to php-1.28.0-wmf.16 T141551 (duration: 28m 45s)

Change 306192 merged by jenkins-bot:
Group0 to 1.28.0-wmf.16

https://gerrit.wikimedia.org/r/306192

Mentioned in SAL [2016-08-23T19:13:55Z] <hashar@tin> Synchronized wikiversions.json: Group0 to 1.28.0-wmf.16 T141551 (duration: 00m 48s)

There are some undefined index from SpamBlacklist but that is a known issue: T138429

Legoktm added a subscriber: Legoktm.

I added T143840: Unable to reset temporary password on mediawiki as a blocker to further rolling out the train. Don't have time to investigate it right now, sorry.

@Legoktm thank you for noticing and definitely be bold in adding blockers even if you can investigate immediately.

greg closed this task as Resolved.Aug 29 2016, 8:59 PM